Pertanyaan konflik textlive-bibtex-ekstra dan biber


Ini adalah instalasi baru Kubuntu 16.04 dengan semua pembaruan terkini yang diterapkan.

Saya menginstal semua texlive: apt install texlive\* dan kemudian mencoba menginstal biber: apt install biber yang ingin menghapus texlive-bibtex-extra. Mencoba menginstal keduanya bersama-sama: apt install biber texlive-bibtex-extra memberikan kesalahan berikut:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
texlive-bibtex-extra is already the newest version (2015.20160320-1).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 texlive-bibtex-extra : Breaks: biber (< 2.4) but 2.3-1 is to be installed
E: Unable to correct problems, you have held broken packages.

Apakah ada yang tahu mengapa paket biber yang ketinggalan zaman mengandung ketergantungan texlive-bibtex-extra?

Saya tahu saya dapat mengambil distribusi texlive secara langsung, tetapi saya ingin menggunakan manajer paket jika memungkinkan.


14
2018-04-24 18:49


asal




Jawaban:


Berdasarkan ini laporan bug, sepertinya apa yang Anda temukan (dan apa yang baru saja saya temui) adalah bug yang tidak diperbaiki tepat waktu untuk 16.04.

Seseorang di halaman itu menyarankan solusi yang melibatkan pengunduhan biber dari sumber. Anda dapat mempertimbangkannya sampai akhirnya diperbaiki?

(Hanya mencoba sendiri dan menegaskan bahwa itu berhasil.)

(Edit: Perhatikan bahwa tampaknya versi biber versi 4. yang lebih tua seharusnya digunakan. Versi yang lebih baru tampaknya tidak kompatibel dengan biblatex yang disertakan dengan Ubuntu 16.04)


10
2018-04-25 02:55



Terima kasih telah menemukan bug, saya harus terus menggali :) Saya akan mengkompilasi dari sumber sampai bug diperbaiki. - fraktur3d
Tidak ada kebutuhan mutlak dalam membangun biber dari sumber: binari dari SF bekerja untuk saya sourceforge.net/projects/biblatex-biber/files/biblatex-biber/… - Artem Pelenitsyn
Ini telah diperbaiki kemarin (2016/06/28); sekarang Anda dapat menginstal secara langsung biber (ini akan menginstal versi 2.4). Lihat bugs.launchpad.net/ubuntu/+source/biber/+bug/1589644/comments/… - Rmano